# Uses of Class
java.util.jar.JarEntry

Packages that use JarEntry
Package
Description
java.net
Provides the classes for implementing networking applications.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.

- ## Uses of JarEntry in java.net

  Methods in java.net that return JarEntry
  Modifier and Type
  Method
  Description
  `JarEntry`
  JarURLConnection.`getJarEntry()`
  Return the JAR entry object for this connection, if any.

- ## Uses of JarEntry in java.util.jar

  Methods in java.util.jar that return JarEntry
  Modifier and Type
  Method
  Description
  `JarEntry`
  JarFile.`getJarEntry(String name)`
  Returns the `JarEntry` for the given base entry name or `null` if not found.
  `JarEntry`
  JarInputStream.`getNextJarEntry()`
  Reads the next JAR file entry and positions the stream at the beginning of the entry data.
  Methods in java.util.jar that return types with arguments of type JarEntry
  Modifier and Type
  Method
  Description
  `Enumeration<JarEntry>`
  JarFile.`entries()`
  Returns an enumeration of the jar file entries.
  `Stream<JarEntry>`
  JarFile.`stream()`
  Returns an ordered `Stream` over the jar file entries.
  `Stream<JarEntry>`
  JarFile.`versionedStream()`
  Returns a `Stream` of the versioned jar file entries.
  Constructors in java.util.jar with parameters of type JarEntry
  Modifier
  Constructor
  Description
  ``
  `JarEntry(JarEntry je)`
  Creates a new `JarEntry` with fields taken from the specified `JarEntry` object.